package com.union.ai.api.dao.mapper;

import com.union.ai.api.dao.model.AppApi;
import com.union.ai.api.dao.model.AppApiCondition;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AppApiMapper {
    int countByCondition(AppApiCondition example);

    int deleteByCondition(AppApiCondition example);

    int deleteById(Integer appapiId);

    int insert(AppApi record);

    int insertSelective(AppApi record);

    List<AppApi> selectByCondition(AppApiCondition example);

    AppApi selectById(Integer appapiId);

    int updateByConditionSelective(@Param("record") AppApi record, @Param("example") AppApiCondition example);

    int updateByCondition(@Param("record") AppApi record, @Param("example") AppApiCondition example);

    int updateByIdSelective(AppApi record);

    int updateById(AppApi record);

    AppApi selectByAppIdAndApiId(@Param("appId") Integer appId, @Param("apiId") Integer apiId);

}